Possible issue with discovery init , node version (resolved)

From a discord user –

I am getting errors when testing Enigma with the examples in the medium post
i created a git repo https://github.com/Solexplorer/testing-enigma
When I run discovery compile, I get this error

Thus it doesn’t create the files in .wasm

RESOLUTION

Regarding the issue, I solved it by upgrading Node to the latest version
Somehow I got node 8.0 with apt manager and it wasn’t creating the directories like enigma_contracts and secret contracts , I debugged that and it’s a bug with fs.writeSync that happens with versions of node lower than 9

2 Likes

The dependency on recursive folder creation has been removed in this PR: https://github.com/enigmampc/discovery-cli/pull/5 and has been included in release v0.0.19 of discovery-cli.

1 Like